Get Shared Subnet
Retrieves a specific Shared Subnet assignment.
Retrieves a specific Shared Subnet assigned to the Regional Networking Setting.
Request
URI
GET
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/sharedSubnets/{id}
COPY
Path Parameters
string
settingId
Required
settingId
string
id
Required
id
Responses
200
OK
Returns
RegionalSharedSubnet
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
NetworkingEntityStatus ,
InlineRegionalSharedSubnet1
{
"status": "string",
"id": "string",
"subnetRef": {
"name": "string",
"id": "string"
},
"name": "string",
"vlanId": 0
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/sharedSubnets/{id}
Availability
Added in 9.1.0
Shared Subnets Operations
GET
Get Shared Subnets
POST
Create Shared Subnet
GET
Get Shared Subnet
PUT
Update Shared Subnet
DELETE
Delete Shared Subnet